	.dbfile C:\PrideEmbeddedLLC\MicroBolt\MICROM~1\IMAGEC~2\MICROB~4\MicroBoltBlinkLed.c
	AREA	"C$$code", CODE, READONLY
	EXPORT _main
	.dbfunc e main _main fV
	AREA	"C$$code", CODE, READONLY
	ALIGN 4
;          Delay -> R4
_main:
	.dbline -1
	.dbline 38
; /*
; |------------------------------------------------------------------------------------------
; |------------------------------------------------------------------------------------------
; | File Name			  : MicroBoltBlinkLed.c																					
; | Author			    : Micromint, Inc.						
; | Copyright       : Copyright  2005, Micromint, Inc.																	
; | Creation Date		: 4/2/05																							
; | Version			    : 1.00																																												
; | Spaces per tab	:	2																									
; | Description		  : Main C file																																									 
; | Revision			  :	Initial																																																						
; |------------------------------------------------------------------------------------------
; |------------------------------------------------------------------------------------------
; */
; 
; /*
; |----------------------------------------------------
; |     Includes
; |----------------------------------------------------
; */
; 
; #include <ARM/philips/lpc210x.h>
; #include <arm_macros.h>
; 
; #include "MicroBoltBlinkLed.h"
; 
; /*
; |------------------------------------------------------------------------------------------
; |     Function        :   main
; |     Inputs          :   None
; |     Outputs         :   None
; |     Purpose         :   Main function for system
; |     Author          :   Micromint, Inc.
; |------------------------------------------------------------------------------------------
; */
; 
; void main(void)
;   {
	.dbline 47
; 	unsigned int Delay;
; 
; /*
; |----------------------------------------------------
; |     MicroBolt hardware setup 
; |----------------------------------------------------
; */
; 
;   __DISABLE_INTERRUPT();                        // Disable all interrupts
	mrs R12,cpsr
	orr R12,R12,#0x80
	msr cpsr_c,R12
	
	.dbline 49
; 
;   SCB_PLLCFG |= 0x23;				 	   		            // Set to 59 MHz (0x03 is multiply value of 4)
	ldr R0,LIT_main+0
	ldr R1,[R0,#0]
	orr R1,R1,#35
	str R1,[R0,#0]
	.dbline 50
;   SCB_PLLFEED = 0xAA;					   	  	          // Shadow register copy for PLL Feed
	mov R0,#170
	ldr R1,LIT_main+4
	str R0,[R1,#0]
	.dbline 51
;   SCB_PLLFEED = 0x55;
	mov R0,#85
	ldr R1,LIT_main+4
	str R0,[R1,#0]
	.dbline 52
;   SCB_PLLCON |= 0x03;                           // Lock and Connect the PLL 
	ldr R0,LIT_main+8
	ldr R1,[R0,#0]
	orr R1,R1,#3
	str R1,[R0,#0]
	.dbline 54
; 
;   PCB_PINSEL0=0x00000000;                       // JTAG is via secondary port
	mov R0,#0
	ldr R1,LIT_main+12
	str R0,[R1,#0]
	.dbline 55
;   PCB_PINSEL1=0x55400000;
	ldr R0,LIT_main+16
	ldr R1,LIT_main+20
	str R0,[R1,#0]
	.dbline 56
;   GPIO_IODIR=(0x00000000<<16)|
	mov R0,#0
	ldr R1,LIT_main+24
	str R0,[R1,#0]
	.dbline 59
; 	     0x00000000;
;  
;   GPIO_IOCLR=0xffffffff;
	mvn R0,#0
	ldr R1,LIT_main+28
	str R0,[R1,#0]
	.dbline 60
;   GPIO_IOSET=(0x00000000<<16)| 
	mov R0,#0
	ldr R1,LIT_main+32
	str R0,[R1,#0]
	.dbline 63
;             0x00000000;  
; 
;   GPIO_IODIR |= MICROBOLT_LED;                  // Setup MicroBolt LED as output
	ldr R0,LIT_main+24
	ldr R1,[R0,#0]
	orr R1,R1,#4194304
	str R1,[R0,#0]
	b L3
L2:
	.dbline 72
; 
; /*
; |----------------------------------------------------
; |     Start of application
; |----------------------------------------------------
; */
; 
;   while(1)                                      // Do this forever
;     {
	.dbline 73
;     GPIO_IOSET = MICROBOLT_LED;                 // MicroBolt LED On
	mov R0,#4194304
	ldr R1,LIT_main+32
	str R0,[R1,#0]
	.dbline 74
	mov R4,#0
	b L8
L5:
	.dbline 74
L6:
	.dbline 74
	add R4,R4,#1
L8:
	.dbline 74
;     for (Delay = 0; Delay < 780000; Delay++);   // Delay for 1 Second
	ldr R0,LIT_main+36
	cmp R4,R0
	blo L5
	.dbline 75
;     GPIO_IOCLR = MICROBOLT_LED;                 // MicroBolt LED Off
	mov R0,#4194304
	ldr R1,LIT_main+28
	str R0,[R1,#0]
	.dbline 76
	mov R4,#0
	b L12
L9:
	.dbline 76
L10:
	.dbline 76
	add R4,R4,#1
L12:
	.dbline 76
	ldr R0,LIT_main+36
	cmp R4,R0
	blo L9
	.dbline 77
L3:
	.dbline 71
	b L2
X0:
	.dbline -2
L1:
	mov R15,R14
	.dbline 0 ; func end
LIT_main:
	DCD -534790012
	DCD -534790004
	DCD -534790016
	DCD -536690688
	DCD 1430257664
	DCD -536690684
	DCD -536707064
	DCD -536707060
	DCD -536707068
	DCD 780000
	.dbsym r Delay 4 i
	.dbend
	END
